#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze
import os
import time
def checkB25Decode(b25filepath, decodedfilepath):
    ret = 0
    if os.path.isfile(decodedfilepath):##tsファイルが存在している
        dtime = time.time()-os.path.getmtime(decodedfilepath)
        dtime = int(dtime)
        if dtime > 120:
            if (compareFilesize(b25filepath, decodedfilepath, 10) and minimizeCheck(decodedfilepath, 800)):
                ret = 1
        else:
            time.sleep(100)
            if dtime > 120:
                if (compareFilesize(b25filepath, decodedfilepath, 10) and minimizeCheck(decodedfilepath, 800)):
                    ret = 1
    #print "delete b25 is " + str(ret)
    return ret
def compareFilesize(pathbase, path, percentage):
    """
    return true if size of path is larger than that of pathbase.
    percentage is int(0< <100)
    """
    basesize = os.path.getsize(pathbase)
    pathsize = os.path.getsize(path)
    size = pathsize * 100-basesize * percentage
    if size < 0:
        return 0
    else:
        return 1
def minimizeCheck(filepath, minsize):
    """
    minsize is Megabytes
    """
    print os.path.getsize(filepath)
    if os.path.getsize(filepath) > minsize * 1000 * 1000:
        return 1
    else:
        return 0
